Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516589 - 'oadm diagnostics NetworkCheck' will always using 'registry.access.redhat.com' pull images
Summary: 'oadm diagnostics NetworkCheck' will always using 'registry.access.redhat.com...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 3.9.0
Assignee: Ravi Sankar
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 02:10 UTC by zhaozhanqi
Modified: 2018-06-18 18:27 UTC (History)
4 users (show)

Fixed In Version: v3.9.0-0.19.0
Doc Type: Bug Fix
Doc Text:
Cause: incorrect registry path was used by network diagnostics Consequence: image pull fails Fix: Fix registry path used by network diags Result: image pull succeeds
Clone Of:
Environment:
Last Closed: 2018-06-18 18:08:33 UTC


Attachments (Terms of Use)

Description zhaozhanqi 2017-11-23 02:10:32 UTC
Description of problem:
When I setup the env, its using 'registry.reg-aws.openshift.com:443' as the default registry. 

but `oadm diagnostics NetworkCheck` will always using 'registry.access.redhat.com'. thus we must give the correct the registry by updating --network-pod-image and --network-test-pod-image when run `oadm diagnostics NetworkCheck'. 

I'm not sure if the 'registry.access.redhat.com' is hardcode when building or can be config in some place.

you can see in:
# oadm diagnostics NetworkCheck --help

      --master-config='': Path to master config file (implies --host)
      --network-logdir='/tmp/openshift/': Path to store network diagnostic results in case of errors
      --network-pod-image='registry.access.redhat.com/openshift3/ose:v3.7.9': Image to use for network diagnostic pod
      --network-test-pod-image='registry.access.redhat.com/openshift3/ose-deployer:v3.7.9': Image to use for network
diagnostic test pod


this issue happen 3.5/3.6/3.7, see bug https://bugzilla.redhat.com/show_bug.cgi?id=1505898#c6-c12

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
see $description

Expected results:
 the registry can be set not hardcode 'registry.access.redhat.com'
'oadm diagnostics NetworkCheck' can pull image using correct registry automatically without provide the options

Additional info:

Comment 1 Ravi Sankar 2018-01-17 01:35:30 UTC
Fixed by https://github.com/openshift/origin/pull/17315

Comment 2 zhaozhanqi 2018-01-17 02:55:21 UTC
Verified this bug on v3.9.0-0.19.0

oc adm diagnostics NetworkCheck --help
 ...
 ...

  --network-pod-image='openshift3/ose:v3.9.0-0.19.0': Image to use for network diagnostic pod
      --network-test-pod-image='openshift3/ose-deployer:v3.9.0-0.19.0': Image to use for network diagnostic test pod
 ...


Note You need to log in before you can comment on or make changes to this bug.